## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# Stylesheet.hpp File Reference

Include dependency graph for Stylesheet.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class Stylesheet
    This class represents the base stylesheet or an "import" stylesheet. More...

## Defines

- #define XALAN_STYLESHEET_HEADER_GUARD

## Typedefs

- typedef XalanVector< const
  XalanMatchPatternData * > PatternTableVectorTypeDecl

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ExtensionNSHandler

## Define Documentation

#define XALAN_STYLESHEET_HEADER_GUARD

## Typedef Documentation

typedef XalanVector<const XalanMatchPatternData*> PatternTableVectorTypeDecl

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ExtensionNSHandler

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.